View Issue Details

IDProjectCategoryView StatusLast Update
0004497SOGoWeb Calendarpublic2019-10-10 14:24
ReporterASolana Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version16.04 LTS
Product Version4.0.0 
Fixed in Version4.1.0 
Summary0004497: A repetitive event cannot be displayed or modified in some cases
Description

Some repetitive event created in a particular way cannot be displayed, modified or deleted, it can only be moved.

An error appears when user want to displayed.

This error appears in 4.0.0 and 3.2.10 SOGo versions

Steps To Reproduce
  1. Go to calendar month view
  2. Use the mouse to create a new event in a particular day (dragging mouse pointer presseing left button to do it)
  3. Fill event title
  4. Uncheck "All day event"

==> At this point the starting and ending date and time is the same!

  1. End Repeat: choose any one, e.g. "weekly"

  2. Save event

  3. At this point the new event cannot be displayed, modified or deleted.
    It can be only moved to other day o hour using mouse pointer.

TagsNo tags attached.

Activities

rhertel

rhertel

2018-11-28 10:09

reporter   ~0013198

I faced the same issue, when I create a weekly repeating appointment with the same start and end time. Daily or monthly repeating appointments are no problem, these appointments are displayed correctly.

In the thunderbird calendar plugin the weekly appointment is displayed properly and can also be edited.

ASolana

ASolana

2019-04-02 11:19

reporter   ~0013511

This issue is still appearing in SOGo 4.0.7

ASolana

ASolana

2019-07-31 11:34

reporter   ~0013686

This issue is still appearing in SOGo 4.0.8: a weekly repeating appointment with the same start and end time cannot be edited or modified.

It's a very annoying issue, our users are complaining.

Related Changesets

sogo: master 7bc73b6f

2019-10-10 14:22:56

francis

Details Diff
(js) Fix handling of times in task/event editors

Fixes 0004497
Fixes 0004845
Affected Issues
0004497, 0004845
mod - UI/Templates/SchedulerUI/UIxAppointmentEditorTemplate.wox Diff File
mod - UI/Templates/SchedulerUI/UIxTaskEditorTemplate.wox Diff File
mod - UI/WebServerResources/js/Scheduler/ComponentController.js Diff File

Issue History

Date Modified Username Field Change
2018-06-29 11:03 ASolana New Issue
2018-11-28 10:09 rhertel Note Added: 0013198
2019-04-02 11:19 ASolana Note Added: 0013511
2019-07-31 11:34 ASolana Note Added: 0013686
2019-10-10 14:23 francis Changeset attached => sogo master 7bc73b6f
2019-10-10 14:23 francis Assigned To => francis
2019-10-10 14:23 francis Resolution open => fixed
2019-10-10 14:24 francis Status new => resolved
2019-10-10 14:24 francis Fixed in Version => 4.1.0